This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1279257 - multiple fork issue
multiple fork issue
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 16:49 EST by Richard Jasmin
Modified: 2016-07-19 14:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:26:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-11-08 16:49:44 EST
Description of problem:
seeing another process forking bug here.

me       15192  2373 15192  0   17 271145 81292  0 Nov07 ?        00:05:13 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15194  0   17 271145 81292  4 Nov07 ?        00:00:01 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15195  0   17 271145 81292  2 Nov07 ?        00:00:01 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15196  0   17 271145 81292  4 Nov07 ?        00:00:01 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15197  0   17 271145 81292  5 Nov07 ?        00:00:01 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15198  0   17 271145 81292  3 Nov07 ?        00:00:01 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15199  0   17 271145 81292  4 Nov07 ?        00:00:01 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15200  0   17 271145 81292  2 Nov07 ?        00:00:01 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15201  0   17 271145 81292  1 Nov07 ?        00:00:00 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15204  0   17 271145 81292  4 Nov07 ?        00:00:00 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15205  0   17 271145 81292  6 Nov07 ?        00:00:03 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15206  0   17 271145 81292  1 Nov07 ?        00:00:00 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15207  0   17 271145 81292  7 Nov07 ?        00:00:00 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15208  0   17 271145 81292  0 Nov07 ?        00:00:22 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15209  0   17 271145 81292  1 Nov07 ?        00:00:00 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15210  0   17 271145 81292  0 Nov07 ?        00:00:01 mono /home/me/Desktop/KeePass/KeePass.exe
me       15192  2373 15236  0   17 271145 81292  2 Nov07 ?        00:00:21 mono /home/me/Desktop/KeePass/KeePass.exe

All from a single launch of the application.
This seems a tad excessive.A password manager, even wxwidgets, doesnt need this many processes.

Version-Release number of selected component (if applicable):
22

How reproducible:
not yet known.Discovered while tracing a "resource unavailable" issue with boost discovered when running feathercoind.(Indicative of excessive threads being launched.I believe limit is set around 250.)

Steps to Reproduce:
1.obviously, run the application with mono
2.ps -eLF


Actual results:
see above

Expected results:
MAYBE 1-4 threads.
Comment 1 Fedora End Of Life 2016-07-19 14:26:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.